Bug 258530 - Crash when choosing Filter Brush (color adjustment).
Summary: Crash when choosing Filter Brush (color adjustment).
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-02 00:47 UTC by Anton
Modified: 2011-02-22 22:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton 2010-12-02 00:47:37 UTC
Application: krita (2.3 Beta 4)
KDE Platform Version: 4.5.3 (KDE 4.5.3)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
Crash when trying to use Filter Brush, Color Adjustment filter option.

The crash can be reproduced every time.

-- Backtrace:
Application: Krita (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ffd7ccfa760 (LWP 28507))]

Thread 3 (Thread 0x7ffd55eb3710 (LWP 28516)):
#0  0x00007ffd7b64b40c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007ffd7b8cfb8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007ffd7b8cc5c5 in QSemaphore::acquire(int) () from /usr/lib/libQtCore.so.4
#3  0x00007ffd641a3b6e in KisTileDataPooler::waitForWork (this=0x22aa110) at /home/def/krita/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:127
#4  0x00007ffd641a3c2c in KisTileDataPooler::run (this=0x22aa110) at /home/def/krita/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:156
#5  0x00007ffd7b8cf49e in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007ffd6ffca9a3 in ?? () from /usr/lib/libGL.so.1
#7  0x00007ffd7b646cb0 in start_thread () from /lib/libpthread.so.0
#8  0x00007ffd7a41e9fd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ffd556b2710 (LWP 28517)):
#0  0x00007ffd7b64b40c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007ffd7b8cfb8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007ffd7b8cc7f9 in QSemaphore::tryAcquire(int, int) () from /usr/lib/libQtCore.so.4
#3  0x00007ffd641c42ca in KisTileDataSwapper::run (this=0x22aa140) at /home/def/krita/src/koffice/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:90
#4  0x00007ffd7b8cf49e in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007ffd6ffca9a3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007ffd7b646cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007ffd7a41e9fd in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffd7ccfa760 (LWP 28507)):
[KCrash Handler]
#6  KisPaintDevice::colorSpace (this=0x0) at /home/def/krita/src/koffice/krita/image/kis_paint_device.cc:1167
#7  0x00007ffd5ebf6050 in KisPerChannelConfigWidget::KisPerChannelConfigWidget (this=0x4187200, parent=<value optimized out>, dev=..., f=<value optimized out>) at /home/def/krita/src/koffice/krita/plugins/filters/colorsfilters/kis_perchannel_filter.cpp:69
#8  0x00007ffd5ebf6684 in KisPerChannelFilter::createConfigurationWidget (this=<value optimized out>, parent=0x405b040, dev=<value optimized out>, image=<value optimized out>) at /home/def/krita/src/koffice/krita/plugins/filters/colorsfilters/kis_perchannel_filter.cpp:391
#9  0x00007ffd5e193116 in KisFilterOption::updateFilterConfigWidget (this=0x4059220) at /home/def/krita/src/koffice/krita/plugins/paintops/libpaintop/kis_filter_option.cpp:165
#10 0x00007ffd5e193828 in KisFilterOption::setCurrentFilter (this=0x4059220, id=...) at /home/def/krita/src/koffice/krita/plugins/paintops/libpaintop/kis_filter_option.cpp:146
#11 0x00007ffd5e1938dd in KisFilterOption::qt_metacall (this=0x4059220, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff24ea8c00) at /home/def/krita/src/koffice-build/krita/plugins/paintops/libpaintop/kis_filter_option.moc:74
#12 0x00007ffd7b9cd2ff in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#13 0x00007ffd6472f4a2 in KisCmbIDList::activated (this=<value optimized out>, _t1=<value optimized out>) at /home/def/krita/src/koffice-build/krita/ui/kis_cmb_idlist.moc:94
#14 0x00007ffd6472f9f3 in KisCmbIDList::qt_metacall (this=0x4059f80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff24ea8d20) at /home/def/krita/src/koffice-build/krita/ui/kis_cmb_idlist.moc:81
#15 0x00007ffd7b9cd2ff in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#16 0x00007ffd7af37451 in QComboBox::activated(int) () from /usr/lib/libQtGui.so.4
#17 0x00007ffd7af374dc in ?? () from /usr/lib/libQtGui.so.4
#18 0x00007ffd7af384d7 in ?? () from /usr/lib/libQtGui.so.4
#19 0x00007ffd7af3b957 in QComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#20 0x00007ffd7c7abec5 in KComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
#21 0x00007ffd6472f990 in KisCmbIDList::qt_metacall (this=0x4059f80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff24ea8f10) at /home/def/krita/src/koffice-build/krita/ui/kis_cmb_idlist.moc:74
#22 0x00007ffd7b9cd2ff in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#23 0x00007ffd7b1d6e12 in ?? () from /usr/lib/libQtGui.so.4
#24 0x00007ffd7af32a2a in ?? () from /usr/lib/libQtGui.so.4
#25 0x00007ffd7b9b8037 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#26 0x00007ffd7ab6b531 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#27 0x00007ffd7ab7085a in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007ffd7c701226 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#29 0x00007ffd7b9b7eac in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#30 0x00007ffd7ab6c565 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#31 0x00007ffd7abe9fd4 in ?? () from /usr/lib/libQtGui.so.4
#32 0x00007ffd7abe8499 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#33 0x00007ffd7ac0ff74 in ?? () from /usr/lib/libQtGui.so.4
#34 0x00007ffd7b9b7242 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0x00007ffd7b9b748c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#36 0x00007ffd7b9bb94b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#37 0x00007ffd6da41f15 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/def/krita/src/koffice/krita/main.cc:49
#38 0x0000000000406ae3 in _start ()

Reported using DrKonqi
Comment 1 Cyrille Berger 2010-12-02 08:10:02 UTC
SVN commit 1202752 by berger:

Disable painting with color adjustment filter for 2.3

(Not to be commited in koffice-essen, please :) )

CCMAIL: cbr@boemann.dk
CCBUG: 258530


 M  +1 -1      kis_perchannel_filter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1202752
Comment 2 Sven Langkamp 2011-02-22 22:09:11 UTC
Git commit a52f7b2b9babcefd6d19cda8242a925009bc984c by Sven Langkamp.
Committed on 22/02/2011 at 22:06.
Pushed by langkamp into branch 'master'.

fix crash on setting color adjustment filter in filterop
BUG:258530

M  +1    -1    krita/plugins/paintops/filterop/kis_filterop_settings_widget.cpp     
M  +1    -1    krita/plugins/paintops/libpaintop/kis_filter_option.cpp     

http://commits.kde.org/calligra/a52f7b2b9babcefd6d19cda8242a925009bc984c